Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.pendle.pendle_positions(chain=models.V1PendlePositionsChain.ARBITRUM, user_address="0x68C314e30b543a35819e5625da563E6Da65D5dd4")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.pendle.pendlePositions({
chain: "arbitrum",
userAddress: "0x68C314e30b543a35819e5625da563E6Da65D5dd4",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/pendle/positions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/pendle/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"positions": [
{
"chainId": 123,
"totalOpen": 123,
"totalClosed": 123,
"totalSy": 123,
"openPositions": [
{
"marketId": "<string>",
"pt": {
"valuation": 123,
"balance": "<string>"
},
"yt": {
"valuation": 123,
"balance": "<string>"
},
"lp": {
"valuation": 123,
"balance": "<string>",
"activeBalance": "<string>"
}
}
],
"closedPositions": [
{
"marketId": "<string>",
"pt": {
"valuation": 123,
"balance": "<string>"
},
"yt": {
"valuation": 123,
"balance": "<string>"
},
"lp": {
"valuation": 123,
"balance": "<string>",
"activeBalance": "<string>"
}
}
],
"syPositions": [
{
"syId": "<string>",
"balance": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Pendle
List User's Market Positions
List the user’s SY, PT, YT and LP positions for all markets on a given chain.
GET
/
v1
/
pendle
/
positions
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.pendle.pendle_positions(chain=models.V1PendlePositionsChain.ARBITRUM, user_address="0x68C314e30b543a35819e5625da563E6Da65D5dd4")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.pendle.pendlePositions({
chain: "arbitrum",
userAddress: "0x68C314e30b543a35819e5625da563E6Da65D5dd4",
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum The user address of the desired position.
Response
Successful Response
A list of the user's positions on the given chain.
Show child attributes
Show child attributes
Was this page helpful?
⌘I